/*==============================*/
/*=====----- TEMPLATE -----=====*/
/*==============================*/

.video-slider {
	position: relative;
	max-width: 1241px;
	margin: 0 auto 80px;
	color: var(--white);
	opacity: 1;
	transition: opacity var(--transition-appendix);
	--social-button-color: none;
	--social-button-color-hover: none;
	--social-button-bg: var(--black);
	--social-button-bg-hover: var(--gray-600);
}

.social-videos-panel .video-slider {
	margin: 0;
}

.video-slider .glide__arrows {
	position: absolute;
	inset: 50% -25px auto -25px;
	z-index: 2;
	transform: translateY(-50%);
	display: none;
	align-items: center;
	justify-content: space-between;
	gap: 2rem;
	pointer-events: none;
}

.video-slider .glide__arrow {
    --arrow-color: var(--blue);
    --arrow-bg-color: var(--white);
    position: relative;
    width: var(--space-12);
    height: var(--space-12);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    padding: 0;
    margin: var(--space-3);
    background: var(--arrow-bg-color);
    border-radius: var(--rounded-circle);
    border: 1px solid var(--arrow-color);
    font-size: var(--text-xl);
    color: var(--arrow-color);
    pointer-events: all;
}

.video-slider .glide__arrow .fa-angle-left:before,
.video-slider .glide__arrow .fa-angle-right:before {
	content: '→';
	font-family: var(--font-display);
	font-size: 1.4375rem;
	transition: color ease 400ms;
}
.video-slider .glide__arrow .fa-angle-left:before {
	content: '←';
}

@media (hover: hover) {
	.video-slider .glide__arrow:hover {
		background-color: var(--arrow-color);
	}
}

.video-slider .glide__bullets {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 16px;
	padding: 0 20px;
	margin-top: var(--space-8);
}

.video-slider .glide__bullet {
	display: block;
	width: 12px;
	aspect-ratio: 1;
	padding: 0;
	margin: 0;
	border: 1px solid var(--blue);
	border-radius: 50%;
	background-color: transparent;
	transition: background-color var(--transition-appendix);
}

.video-slider .glide__bullet--active {
	background-color: var(--yellow);
}

.video-slider .glide__track {
	position: relative;
	z-index: 1;
}

.video-slider .glide__slides {
	padding: 8px 0;
}

.video-slider .shared-play-button {
	background-color: var(--sw-button-primary-bg);
	opacity: .9;
	border: none;
}

.video-slider .video-cont:hover .shared-play-button {
	opacity: 1;
}

/*============================*/
/*=====----- SLIDES -----=====*/
/*============================*/

.video-slider .slide,
.video-slider .video-cont,
.video-slider .plyr {
	position: relative;
	z-index: 1;
}

.video-slider .plyr iframe {
	aspect-ratio: 9 / 16;
}

.video-slider .slide {
	border-radius: 13px;
	overflow: hidden;
}

.video-slider .video-cont {
	position: relative;
	cursor: pointer;
}

.video-slider .video-cont::before {
	position: absolute;
	inset: 0 0 auto 0;
	z-index: 2;
	display: block;
	height: 92px;
	background: linear-gradient(to bottom, rgba(0,0,0,1), rgba(0,0,0,1) 33%, rgba(0,0,0,0));
	content: '';
	pointer-events: none;
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.video-slider .video-cont > img {
	border-radius: 8px;
	width: 100%;
}

.video-slider .slide.no-profile-graphic .video-cont::before {
	display: none;
}

.video-slider .slide .content-section {
	padding-bottom: 30px;
}

.video-slider .plyr {
	--plyr-color-main: var(--sw-button-primary-bg);
	--plyr-video-control-background-hover: var(--sw-button-primary-bg-hover);
}

.video-slider .profile-graphic {
	height: 50px;
	pointer-events: none;
}

.video-slider .plyr {
	height: 100%;
	width: auto;
	aspect-ratio: 9 / 16;
	margin: 0 auto;
}

.video-slider .content-section {
	position: absolute;
	inset: auto 0 0 0;
	z-index: 2;
	padding: 20px 25px 60px;
	text-shadow: 0 4px 16px var(--black);
	pointer-events: none;
	opacity: 1;
	transition: opacity var(--transition-appendix);
}

.video-slider .slide-title {
	font-weight: var(--font-display);
	font-size: var(--text-xl);
	line-height: 1.3;
	color: inherit;
}

.video-slider .plyr__progress__container {
	display: none;
	padding-right: 10px;
}

.video-slider .plyr__controls {
	justify-content: flex-start;
}

.video-slider .plyr__volume {
	min-width: 40px;
	width: auto;
}

.video-slider .plyr__controls .plyr__controls__item:first-child {
	margin-right: 0;
}


.video-slider .widget-header .header-subtitle {
	color: var(--sw-key-color);
	font-size: var(--text-xl);
	line-height: 1.2;
	text-transform: uppercase;
	text-align: center;
}

.video-slider .widget-header .header-title {
	color: var(--sw-text-color);
	font-size: var(--text-4xl);
	font-weight: var(--font-weight-bold, 700);
	line-height: 1.09;
	text-align: center;
}

.video-slider .widget-header .description {
	color: var(--sw-text-color);
	font-size: var(--text-lg);
	line-height: 1.62;
	text-align: center;
}

.video-slider .social-links {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 7px;
    margin: 0;
    padding: 0;
    font-size: 1.6rem;
    line-height: 1;
    list-style: none;
    margin-bottom: var(--space-6);
}

.video-slider .social-links a {
	border: 1px solid #fff;
	aspect-ratio: 1 / 1;
	display: grid;
	place-items: center;
	border-radius: var(--rounded-circle);
	color: #fff;
	text-decoration: none;
	transition: border-color var(--transition-appendix-2ms);
	background: var(--blue);
	font-size: var(--text-base);
	width: 36px;
	height: 36px;
}

@media (hover: hover) {
	.video-slider .social-links a:hover {
		color: #fff;
		text-decoration: none;
		border-color: var(--yellow);
	}
}

.video-slider .profile-cont {
	display: flex;
	align-items: center;
	gap: 10px;
	position: absolute;
	top: 10px;
	left: 10px;
}
.video-slider .profile-cont img {
	border-radius: 30px;
}

.video-slider .profile-cont-overlay {
	display: flex;
	align-items: center;
	gap: 10px;
}

.video-slider .profile-name {
	color: var(--white);
	font-size: var(--text-lg);
	text-shadow: 0px 0px 6px rgba(0, 0, 0, 0.40);
}

@media (min-width: 64em) {
	.video-slider .widget-header .header-subtitle {
		font-size: 1.625rem;
	}
	
	.video-slider .widget-header .header-title {
		font-size: 3.4375rem;
	}
	
	.video-slider .widget-header .description {
		font-size: 1.3125rem;
	}

	.video-slider .profile-name {
		font-size: var(--text-xl);
	}

	.video-slider .profile-cont {
		top: 20px;
		left: 20px;
	}
	.video-slider .social-links a {
		width: 39px;
		height:  39px;
	}
}

/*----- video playing -----*/

.video-slider .slide.playing .video-cont::before,
.video-slider .slide.playing .content-section,
.video-slider .slide.playing .profile-link,
.video-slider .slide.playing .profile-graphic.no-link {
	opacity: 0;
	pointer-events: none;
}

/*===================================*/
/*=====----- MEDIA QUERIES -----=====*/
/*===================================*/

@media (min-width: 40em) {
	.video-slider {
		padding: 0 var(--space-5);
	}
}

@media (min-width: 64em) {
	.video-slider .profile-link,
	.video-slider .profile-graphic.no-link {
		inset: 11px auto auto 11px;
	}

	.video-slider .profile-graphic {
		height: 60px;
	}

	.video-slider .content-section {
		padding: 23px 29px 60px;
	}
	
	.video-slider .slide-title {
		font-size: 1.375rem;
	}

	.video-slider {
		padding: 0px 60px;
	}
}

@media (min-width: 64em) {
	.video-slider .glide__arrows {
		display: flex;
	}

	.video-slider .plyr__progress__container {
		display: block;
	}

	.social-videos-panel .video-slider .glide__arrows,
	.social-videos-panel .video-slider .plyr__progress__container {
		display: none;
	}
}

@media (min-width: 90em) {
	.video-slider .glide__arrows {
		left: -69px;
		right: -69px;
	}
}

/* overlay */
.video-slider .overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	background: var(--gray-900);
	z-index: 999;
	top: 0;
	left: 0;
}

.video-slider .overlay .video-wrapper {
	width: auto;
	height: 90vh;
	position: relative;
	aspect-ratio: 9/16;
	margin: auto 0;
}

.video-slider .overlay .overlay-profile-link {
	position: absolute;
	top: 40px;
	left: 30px;
	z-index: 9;
}

.video-slider .overlay .overlay-profile-link:hover {
	background: transparent;
}

.video-slider .overlay .video {
	aspect-ratio: 9/16;
	display: flex;
	position: relative;
	justify-content: center;
	width: 100%;
	max-height: 100vh;
	margin: 0 auto;
	max-width: 100vw;
}

.video-slider .overlay .close {
	position: absolute;
	cursor: pointer;
	margin-left: -20px;
	padding-right: 20px;
	right: -80px;
}

.video-slider .overlay .close i {
	font-size: 45px;
}

.video-slider .overlay .close svg {
	height: 35px;
	fill: white;
	position: absolute;
}

.video-slider .overlay .arrow {
	display: flex;
	height: auto;
	align-items: center;
	padding: 0 40px;
	font-size: 1.625rem;
	cursor: pointer;
}

@media (max-width: 40em) {
	.video-slider .overlay .video {
		padding: 0;
		padding-top: 55px;
	}

	.video-slider .overlay .close svg {
		height: 20px;
	}

	.video-slider .overlay .arrow {
		position: absolute;
		z-index: 9;
		padding: 0;
		top: calc(50% + 35px);
		transform: translateY(-50%);
		width: 75px;
		height: 75px;
	}

	.video-slider .overlay .arrow.prev {
		left: 5px;
		padding-left: 30px;
	}

	.video-slider .overlay .arrow.next {
		right: 5px;
		padding-left: 30px;
	}

	.video-slider .overlay .close {
		position: absolute;
		top: -48px;
		right: 50px;
		margin: 0;
		padding: 0;
	}
}

/* player */

.video-slider .controls {
	width: 100%;
	height: auto;
	display: flex;
	flex-direction: column;
	position: absolute !important;
	bottom: 0;
	left: 0;
	z-index: 9 !important;
}

.video-slider .controls-wrapper {
	position: absolute;
	bottom: 0;
	left: 0;
}

.plyr--video .plyr-actions {
	display: flex !important;
	flex-direction: row !important;
	background: none !important;
	position: relative;
	padding-left: 23px;
	padding-bottom: 10px;
}

.video-slider .action-wrapper {
	display: flex;
	justify-content: left;
	padding-left: 25px;
	padding-bottom: 15px;
}

.video-slider .plyr__control {
	bottom: auto;
}

.video-slider .plyr__control svg {
	height: 20px;
	width: 20px;
}

.video-slider .controls-content {
	position: relative;
	z-index: 9;
	padding-left: 30px;
	padding-bottom: 40px;
	text-align: left;
}

.video-slider .controls-content .title {
	font-size: 1.375rem;
	line-height: 26px;
	font-weight: var(--font-weight-bold, 700);
}

.video-slider .controls-content .description {
	padding-top: 10px;
	line-height: 24px;
	font-size: var(--text-base);
}

.video-slider .controls-content .link {
	margin-top: 20px;
}

.video-slider .controls-content .link a {
	text-transform: uppercase;
	background-color: var(--blue);
    color: var(--white);
    font-weight: 700;
	padding: 5px 15px;
	line-height: 1.06;
}


.video-slider .progress-wrapper {
	display: flex;
	justify-content: space-between;
	/* height: 100%; */
	width: 100%;
	max-width: 100%;
	position: absolute;
	z-index: 9;
	padding: 0 10px;
	top: 20px;
}

.video-slider .progress-wrapper .indicator {
	border: 1px solid white;
	z-index: 9;
	margin: 0 5px;
}

.video-slider .progress {
	width: 100%;
	height: 2px;
	margin: 0 2px;
	width: 100%;
	height: 3px;
	border-radius: 3px;
	z-index: 9999;
	display: flex;
	flex-grow: 1;
	background-image: -webkit-linear-gradient(left, 
		rgba(255,255,255) 0%,
		rgba(255,255,255) 50%,
		rgba(255,255,255,.5) 50.001%,
		rgba(255,255,255,.5) 100%
	);
	background-repeat: no-repeat;
	background-size: 200%;
	background-position: 100% 50%;
	animation-timing-function: linear;
	animation-delay: .2s;
}

.video-slider .progress.active {
	animation-name: Loader;
}

.video-slider .progress.paused {
	animation-play-state: paused;
}

.video-slider .progress.play {
	animation-play-state: running;
}

@-webkit-keyframes Loader {
	0%   { background-position: 100% 0; }
	100% { background-position: 0 0; }
}